@echo off

set JAVA_HOME=C:\Program Files\Java\jre7
set SLF_JAR=.\slf4j-api-1.7.6.jar;.\slf4j-nop-1.7.6.jar

REM JAVA_HOME=C:\Program Files\astah-community\jre
REM set SLF_JAR=.\slf4j-api-1.6.6.jar

set PATH=%JAVA_HOME%\bin

set JUDE_JAR=.\astah-community.jar
set API_JAR=.\astah-api.jar
set CLASSPATH=%JUDE_JAR%;%API_JAR%;%SLF_JAR%;.\eaapi.jar;.\EAImporter.jar;.

set INITIAL_HEAP_SIZE=32m
set MAXIMUM_HEAP_SIZE=256m
set STACK_SIZE=16m

set JAVA_OPTS=-Xms%INITIAL_HEAP_SIZE% -Xmx%MAXIMUM_HEAP_SIZE% -Xss%STACK_SIZE%
set JAVA_OPTS=%JAVA_OPTS% -classpath %CLASSPATH%

java %JAVA_OPTS% jp.co.sparxsystems.EAImport.EAImporter %1 %2 %3

